#include "AneuMeshLoader.h"

void AneoMeshLoader::LoadMesh(const std::string& str)
{

	ifstream file(str);
	if (!file.is_open())
	{
		throw exc();
	}
	uint16_t k, r;
	file >> k;
	file >> r;
	Node nbuf;
	for (int i = 0; i < k; i++)
	{
		file >> nbuf;
		add_node(nbuf);
	}
	Finite_element fbuf;
	file >> k; //!!! Лучне использовать >>
	file >> r; //!!! Лучне использовать >>
	for (int i = 0; i < k; i++)
	{
		file >> fbuf;
		add_Finite_Element(fbuf);
	}
	file >> k; //!!! Лучне использовать >>
	file >> r; //!!! Лучне использовать >>
	Boundary_Finite_element bbuf;
	for (int i = 0; i < k; i++)
	{
		file >> bbuf;
		add_BFE(bbuf);
	}
	file.close();
}